% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/distance.R
\name{distrectw}
\alias{distrectw}
\title{Calculation of Weighted Distance Matrix between the rows of F and A}
\usage{
distrectw(F, A, Wa = matrix(1, nrow(A), ncol(A)))
}
\arguments{
\item{F}{n x r matrix}

\item{A}{p x r matrix}

\item{Wa}{p x r  maatrix}
}
\value{
A matrices of size n x p
}
\description{
Calculation of Weighted Distance Matrix between the rows of F and A
}
\details{
This program calculated weighted distance between the rows of F matrix
and the rows of A matrix \cr
by applying the j-th row as a set of dimensional weights.
\deqn{ d_ij = sqrt( (f[i,]-a[j,])' diag(Wa[j,]) (f[i,]-a[j,]) )  }

\cr
Note that \code{Wa} matrix will NOT be squared when calculating distance.
\cr
}
\examples{
F <- matrix( c(0,0,  3,0,  0,4), 3,2,  byrow=1 )
A <- matrix( c(0,0,  3,4 ), 2,2, byrow=1 )
distrectw( F,A )
Wa <- matrix( c(1,1,  1,2 ), 2,2, byrow=1 )
distrectw( F,A, Wa )

}
