% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/DBCSpgm.R
\name{is.DBCS}
\alias{is.DBCS}
\title{Checks if the Characters in a String are Double Byte Characters.}
\usage{
is.DBCS(x)
}
\arguments{
\item{x}{String vector}
}
\value{
A logical vector or list of logical vectors indicating if
each character in the input string vector is a double byte chractor or not.
}
\description{
Checks if the Characters in a String are Double Byte Characters.
}
\details{
About rawToChar and charToRaw functions: \cr
To get the raw expression of character, use\cr
\code{ raw <- charToRaw(paste(c(0:9," ",letters,LETTERS),collapse="")) }\cr
To get the numeric equivalent of raw, use\cr
\code{ num <- as.numeric(raw) }.\cr
To recover the original characters, use\cr
\code{ char <- rawToChar( as.raw(num) ) }.\cr
}
\examples{

# A string consisting of single and double byte characters
# The 3rd, 6th and 7th characters are double byte characters.
nza <- c(97,98,130,131,100,101,130,134,130,135,104)
za <- rawToChar(as.raw(nza))

# location of the double byte characters in a string
is.DBCS(za)

# Pick up the single byte characters.
strsplit(za,"")[[1]][!is.DBCS(za)]

}
