% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/locbalpar.R
\name{locbalpar}
\alias{locbalpar}
\title{Return the location of the matching parenthesis}
\usage{
locbalpar(exp, loc)
}
\arguments{
\item{exp}{Input string: a single element vector.}

\item{loc}{The location of the parenthesis
whose matching pair will be found.}
}
\value{
The location of the matching paren  or  0.
}
\description{
Return the location of the matching parenthesis
}
\details{
\code{loc} must be positive and less than \code{nchar(exp)}.\cr
\code{substr(exp,loc,loc)} must be a opening or closing paren.\cr
Otherwise, this function returns 0.
}
\examples{
# Input string
#                1111111111222222222233333333
#       1234567890123456789012345678901234567
exp <- "a+([a+b]*(c*{d+e}))-(f-g) +(((<()>)) "

locbalpar( exp, 3 )
locbalpar( exp, 4 )
locbalpar( exp, 13 )
locbalpar( exp, 31 )

locbalpar( exp, regexpr( "\\\\(", exp ) )

# No matching paren
locbalpar( exp, 28 )

# from closing paren
locbalpar( exp, 19 )
locbalpar( exp, 17 )

# As long as substr(exp,n) is a paren, it is always true.
n <- 10; n == locbalpar( exp, locbalpar( exp, n ) )
n <- 36; n == locbalpar( exp, locbalpar( exp, n ) )

}
