% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/DBCSpgm.R
\name{nchar2}
\alias{nchar2}
\title{Count the number of characters using bytes, not characters, as the unit.}
\usage{
nchar2(x)
}
\arguments{
\item{x}{A string}
}
\value{
A number.
}
\description{
Count the number of characters using bytes, not characters, as the unit.
}
\details{
About rawToChar and charToRaw functions: \cr
To get the raw expression of character, use\cr
\code{ raw <- charToRaw(paste(c(0:9," ",letters,LETTERS),collapse="")) }\cr
To get the numeric equivalent of raw, use\cr
\code{ num <- as.numeric(raw) }.\cr
To recover the original characters, use\cr
\code{ char <- rawToChar( as.raw(num) ) }.\cr
}
\examples{

# A string consisting of single and double byte characters
nza=c(97,98,130,131,100,101,130,134,130,135,104)
za=rawToChar(as.raw(nza))

# location of the double byte characters
nchar(za)
is.DBCS(za)
Print( nchar(za), length(charToRaw(za)), nchar2(za) )
Print( nchar(za)+sum(is.DBCS(za)) )

}
